It says software needs update but then doesn’t work

A game cartridge I have called pokemon ultra sapphire says it has an update, when I press update it says error code 005-4270. I’m using a 2ds.

If you are using Pretendo as your local account, it won’t work since game updates are being retrieved from the eShop which requires your Nintendo Network ID.

1 Like

I believe you need to switch back to your NNID in Nimbus to update games from the eShop.